commit:     f85b5e90703495301adcb0b53281370ee884d30f
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 27 17:25:52 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Dec 27 18:51:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f85b5e90

app-emacs/vertico: bump to 1.10

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/vertico/Manifest            |  1 +
 app-emacs/vertico/vertico-1.10.ebuild | 45 +++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/app-emacs/vertico/Manifest b/app-emacs/vertico/Manifest
index 9284182b186d..b5b263a9aed4 100644
--- a/app-emacs/vertico/Manifest
+++ b/app-emacs/vertico/Manifest
@@ -1 +1,2 @@
+DIST vertico-1.10.tar.gz 48108 BLAKE2B 
c98deaf0add6542d629e03ca9fcf6f4c8a89ff660d3332b01cf9f85615263c1f1df13d5c7b159e4e2b0393ee1920e9c60551f8f787f1a290d72001f2b1724e6a
 SHA512 
047babb52189a8a94c523bde3514832649cd85c063ea530033cb1212cfb81ab72c01f009c4d7041a29ed8bd97a95bcf4463ecbd7b530e2eab1dc5cfc63322347
 DIST vertico-1.9.tar.gz 48052 BLAKE2B 
21642d1449a2628e0a42e79ed7d35bdcc5a186a72ee69339a9dabdcd25ebff0352e6bb80714e39af804a19dc5d1623b6207a046078d17f173057a24a9778379c
 SHA512 
f56d42412a827c7516d530bc2096f804fb264f97bd0a62ef9ecec8e8975045f7af646f01720dfa1e6b4d846e531dc726e9609e6e73c0ea7082652b5676ee2db7

diff --git a/app-emacs/vertico/vertico-1.10.ebuild 
b/app-emacs/vertico/vertico-1.10.ebuild
new file mode 100644
index 000000000000..c3b64cbec85d
--- /dev/null
+++ b/app-emacs/vertico/vertico-1.10.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS="27.1"
+
+inherit elisp
+
+DESCRIPTION="Vertical interactive completion"
+HOMEPAGE="https://github.com/minad/vertico/";
+
+if [[ ${PV} == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/minad/${PN}.git";
+else
+       SRC_URI="https://github.com/minad/${PN}/archive/${PV}.tar.gz
+               -> ${P}.tar.gz"
+
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+       >=app-emacs/compat-29.1.4.0
+"
+BDEPEND="
+       ${RDEPEND}
+"
+
+DOCS=( CHANGELOG.org README.org )
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+       default
+       mv extensions/*.el ./ || die
+}
+
+src_compile() {
+       elisp_src_compile
+       elisp-make-autoload-file
+}

Reply via email to